Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class RoutingStageParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.RoutingStageParams

    public class RoutingStageParams

extends Object

Describes a specific stage of routing for a particular call type by using a waiting time, and a sequence of cases. The waiting time is given by the attribute

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">waitingTime</tt>

while the sequence of cases is set up by

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">case</tt>

elements optionnally followed by a

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">default</tt>

element. The routing policy checks each condition given by the cases in the specified order, and takes the vectors of ranks corresponding to the first case that applies. If no case applies, the vectors given in the default case are used. If no case applies and no

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">default</tt>

element is given, the stage has no effect.

Java class for RoutingStageParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RoutingStageParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="case" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}RoutingCaseParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="default" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}DefaultCaseParams" minOccurs="0"/>
           </sequence>
           <attribute name="waitingTime" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDuration" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<RoutingCaseParams>` | `_case`
`protected DefaultCaseParams` | `_default`
`protected Duration` | `waitingTime`

Constructor Summary
`RoutingStageParams()`

Method Summary
`List<RoutingCaseParams>` | `getCase()` Gets the value of the case property.
`DefaultCaseParams` | `getDefault()` Gets the value of the default property.
`Duration` | `getWaitingTime()` Gets the value of the waitingTime property.
`boolean` | `isSetCase()`
`boolean` | `isSetDefault()`
`boolean` | `isSetWaitingTime()`
`void` | `setDefault(DefaultCaseParams value)` Sets the value of the default property.
`void` | `setWaitingTime(Duration value)` Sets the value of the waitingTime property.
`void` | `unsetCase()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _case

    protected List<RoutingCaseParams> _case

### _default

    protected DefaultCaseParams _default

### waitingTime

    protected Duration waitingTime

Constructor Detail

### RoutingStageParams

    public RoutingStageParams()

Method Detail

### getCase

    public List<RoutingCaseParams> getCase()

  Gets the value of the case property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the case property.

  For example, to add a new item, do as follows:

          getCase().add(newItem);

  Objects of the following type(s) are allowed in the list `RoutingCaseParams`

### isSetCase

    public boolean isSetCase()

### unsetCase

    public void unsetCase()

### getDefault

    public DefaultCaseParams getDefault()

  Gets the value of the default property.

  Returns:
    possible object is `DefaultCaseParams`

### setDefault

    public void setDefault(DefaultCaseParams value)

  Sets the value of the default property.

  Parameters:
    `value` - allowed object is `DefaultCaseParams`

### isSetDefault

    public boolean isSetDefault()

### getWaitingTime

    public Duration getWaitingTime()

  Gets the value of the waitingTime property.

  Returns:
    possible object is `Duration`

### setWaitingTime

    public void setWaitingTime(Duration value)

  Sets the value of the waitingTime property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetWaitingTime

    public boolean isSetWaitingTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.